Smart Mode
Deactivate
Permanently deactivate a Smart Mode subscription
POST
/
api
/
v1
/
smart-mode
/
{subscription_id}
/
deactivate
Deactivate
curl --request POST \
--url https://api.example.com/api/v1/smart-mode/{subscription_id}/deactivateimport requests
url = "https://api.example.com/api/v1/smart-mode/{subscription_id}/deactivate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v1/smart-mode/{subscription_id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Deactivate Subscription
Permanently deactivates a Smart Mode subscription. This action cannot be undone — you’ll need to create a new subscription to re-enable.Path parameters
Subscription ID
Response
Returns the deactivated subscription object.Example
curl -X POST https://api.tronrental.com/v1/smart-mode/42/deactivate \
-H "X-API-Key: your_api_key"
Response
{
"id": 42,
"address": "TYourAddress...",
"status": "deactivated",
"message": "Subscription permanently deactivated"
}
⌘I
Deactivate
